import React, {Component} from 'react';
import AgreementOptionItemContainer from './AgreementOptionItemContainer.jsx';

class AgreementOptions extends Component {
    render() {
        const {prices, currency} = this.props;
        return (
                <div className="shop-package-options shop-package-options-pricing">
                    {
                        prices && prices.map((price) => {
                            return (<AgreementOptionItemContainer key={'agreement-' + price.idPaymentType} currency={currency} price={price}/>)
                        })
                    }
                </div>
        );
    }
}

export default AgreementOptions;
